#ifndef TMHistogrammingEventsWithHitsAll_H
#define TMHistogrammingEventsWithHitsAll_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingEventsWithHitsAll : public TMHistogramming {
 public:
  TMHistogrammingEventsWithHitsAll();
  virtual ~TMHistogrammingEventsWithHitsAll();

  virtual void StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber);
  virtual void ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual UInt_t GetTotalNumberOfHitEvents() {return fTotalNumberHitEvents;}

 protected:
  Bool_t  fHit;
  Bool_t  fHitEq[20];
  UInt_t  fTotalNumberHitEvents;
  UInt_t  fTotalNumberHitEventsEq[20];
  TH1F    *fTheHisto;

};

#endif
